// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once
#include "ISCW_UObject.h"

#include <memory>

using std::shared_ptr;

namespace Sourcify
{	
	class ISCW_UBehaviorTree : public virtual ISCW_UObject
	{
	public:
		virtual ~ISCW_UBehaviorTree() = default;
		
		virtual shared_ptr<ISCW_UBehaviorTree> ToUBehaviorTreePtr() = 0;
		virtual shared_ptr<const ISCW_UBehaviorTree> ToUBehaviorTreePtr() const = 0;
	};

	using ISCW_UBehaviorTreeConstPtr = shared_ptr<const ISCW_UBehaviorTree>;
	using ISCW_UBehaviorTreePtr = shared_ptr<ISCW_UBehaviorTree>;
} // namespace Sourcify